-- Written by DaddelZeit.
-- Permission for usage is hereby granted to anyone owning this file.

local M = {}

local lastGearIndex = 0

local function setEmotorDirection(val)
    for _, e in pairs (powertrain.getDevicesByType("electricMotor")) do
        e.motorDirection = val
    end
end

local function updateGFX()
    if lastGearIndex == electrics.values.gearIndex then return end

    if electrics.values.gearIndex == 0 then
        setEmotorDirection(0)
    elseif  electrics.values.gearIndex < 0 then
        setEmotorDirection(-1)
    elseif electrics.values.gearIndex > 0 then
        setEmotorDirection(1)
    end

    lastGearIndex = electrics.values.gearIndex
end

local function init()
    setEmotorDirection(0)
end

M.init = init
M.updateGFX = updateGFX

return M